> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scoot.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark as processing



## OpenAPI

````yaml POST /api/v1/transcription/processing
openapi: 3.0.2
info:
  title: Scoot Customer API - Complete Documentation
  version: 1.0.0
  description: >-
    Complete API documentation for Scoot customer-facing endpoints with full
    type definitions from the backend service.
servers:
  - url: https://api.scoot.app
    description: Production server
security: []
tags:
  - name: Social
    description: Social event management endpoints
  - name: Room
    description: Room management endpoints
  - name: Theme
    description: Theme and background management endpoints
  - name: Event
    description: Event registration and management endpoints
  - name: Recording
    description: Recording and transcription endpoints
  - name: Playlist
    description: Audio playlist management endpoints
  - name: Badging
    description: Badge and gamification endpoints
  - name: User
    description: User management endpoints
paths:
  /api/v1/transcription/processing:
    post:
      tags:
        - TranscriptionController
      summary: POST /api/v1/transcription/processing
      operationId: post__api_v1_transcription_processing
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SocialTranscription'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SocialTranscription'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    SocialTranscription:
      type: object
      properties:
        socialTranscriptionId:
          type: string
          format: uuid
        socialRoomSetId:
          type: string
          format: uuid
        status:
          enum:
            - PROCESSING
            - COMPLETE
            - FAILED
        name:
          type: string
        s3Bucket:
          type: string
        startDateTime:
          type: string
          format: date-time
        processingStartDateTime:
          type: string
          format: date-time
        processingEndDateTime:
          type: string
          format: date-time
        user:
          $ref: '#/components/schemas/User'
    User:
      type: object
      properties:
        userId:
          type: string
          format: uuid
        name:
          type: string
        firstName:
          type: string
        middleName:
          type: string
        lastName:
          type: string
        emailAddress:
          type: string
        emailVerified:
          type: boolean
        preload:
          type: boolean
        mobilePhone:
          type: string
        mobilePhoneVerified:
          type: boolean
        mobilePhoneVerifiedWeb:
          type: boolean
        profileId:
          type: string
        profileImageURI:
          type: string
        profileImageId:
          type: string
          format: uuid
        profileImageBackground:
          type: string
        timeZone:
          type: string
        registeredDateTime:
          type: string
          format: date-time
        active:
          type: boolean
        actedAs:
          type: boolean
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````